{ config, systemConfig, ... }:
let
  username = systemConfig.user.name;
in
{
  users.users.${username} = {
    isNormalUser = true;
    hashedPasswordFile = config.sops.secrets.password.path;
    description = username;
    extraGroups = [
      "networkmanager"
      "wheel"
    ];
  };
}
